why would i want to download v4.0?